@use "sass:color";

header {
  .navbar-toggler {
    color: white;
    margin: 0;
    padding: 0.5em;
  }
  .navbar {
    padding: 0 1em;
  }
  #navbar-toggle-cbox:checked ~ .collapse {
    display:block;
  }
  .nav-link {
    color: white;
    padding: 0.5em 1em !important;
  }
  .nav-link.active {
    color: black;
    background-color: white;
  }
  #navbar-header {
    background-color: $nav-bar-bg-color;
    z-index: 1000;
  }
}

header {
  #bottom-row {
    background-color: $nav-bar-bg-color;
  }
  #top-row {
    background-color: $masthead-bg-color;
    #masthead-content {
      display: flex;
      justify-content: center;
      align-items: flex-end; // align to bottom
      #logo {
        background-image: url($masthead-logo-url);
        background-size: contain;
        background-repeat: no-repeat;
        background-position: bottom;
        height: 117px;
        width: 200px;
        flex-shrink: 1;
      }

      /*
      #text {
        font-family: Roboto;
        margin-left: 20px;
        #title {
          margin-top: 20px;
          a {
            color: #fff1a8;
            text-decoration: none;
            text-shadow: 0px 0px 2px rgba(255, 255, 255, 0.5);
          }
          white-space: nowrap;
          font-size: 40pt;
        }
        #subtitle {
          font-size: 14pt;
          color: #fff;
          margin-top: -16px;
          margin-left: 4px;
        }
      }
      */
    }
  }
}

/*
@include media-breakpoint-down(sm) {
  header {
    #logo {
      height: 59px !important;
      width: 100px !important;
    }
    #text {
      margin-left: 10px !important;
    }
    #title {
      font-size: 30pt !important;
    }
    #subtitle {
      font-size: 9pt !important;
      margin-top: -10px !important;
    }
  }
}
*/
